# name: systemd docker
# desc: tweaks for Docker under systemd operating system
# auth: Kai Burghardt <wiz at KaiBurghardt.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent fdm=marker fdl=0:

class systemd_docker (
	Boolean                  $manage_systemd_docker_package = false,
	Pattern[/^[^\r\n]+$/]    $docker_run_executable         = '/usr/bin/docker run',
) {
	if $manage_systemd_docker_package {
		package { 'systemd_docker':
			name                          => 'systemd-docker',
			ensure                        => present,
		}
		
		# we assume systemd-docker is used as command by container *.service
		Package['systemd_docker'] -> Systemd_docker::Container <| |>
	}
}
# EOF
